# Uses of Interface
net.shibboleth.shared.scripting.ScriptContextExtender

Packages that use ScriptContextExtender
Package
Description
net.shibboleth.shared.scripting
Classes for working with JSR-223 scripting environments.

## Uses of ScriptContextExtender in net.shibboleth.shared.scripting

Fields in net.shibboleth.shared.scripting with type parameters of type ScriptContextExtender
Modifier and Type
Field
Description
`private Collection<ScriptContextExtender>`
AbstractScriptEvaluator.`contextExtenders`
Extension objects to apply.
Method parameters in net.shibboleth.shared.scripting with type arguments of type ScriptContextExtender
Modifier and Type
Method
Description
`void`
AbstractScriptEvaluator.`setContextExtenders(Collection<? extends ScriptContextExtender> extenders)`
Set `ScriptContextExtender` instances to apply when populating script context.